#!/bin/sh

JAVA_FILE="HelloWinJNI"
C_FILE="helloWinJNI"

echo "Creating class file: HelloWinJNI.class"
gcj -C $JAVA_FILE.java

echo "Creating header file: helloWinJNI.h"
# This header file contains the method for helloWinJNI.c
gcjh -jni -o $C_FILE.h $JAVA_FILE

echo "Creating dll file: helloWinJNI.dll"
gcc -shared -o $C_FILE.dll $C_FILE.c \
  -Wl,--output-def,$C_FILE.def,--out-implib,lib$C_FILE.a

echo "Creating exe file: HelloWinJNI.exe"
gcj -mwindows --main=$JAVA_FILE -fjni -o $JAVA_FILE $JAVA_FILE.java lib$C_FILE.a
